COMPARE-HISTOS(1)

NAME
compare-histos - generate comparison histograms

SYNOPSIS
compare-histos [options] aidafile1[:'PlotOption1=Value':'PlotOption2=Value'] [aidafile2 ...]

OPTIONS

-h, --help
    show this help message and exit

-R, --rivet-refs
    use Rivet reference data files (default)

--no-rivet-refs
    don't use Rivet reference data files

-o OUTDIR, --outdir=OUTDIR
    write data files into this directory

--hier-out
    write output dat files into a directory hierarchy which matches the analysis paths

--plotinfodir=PLOTINFODIR
    directory which may contain plot header information (in addition to standard Rivet search paths)

--no-rmgapbins
    disable attempting to remove 'gap' bins from MC histos when they don't appear in the ref file

--refid=REF_ID
    ID of reference data set (file path for non-REF data)

--linear
    plot with linear scale

--logarithmic
    plot with logarithmic scale (default behaviour)

--mc-errs
    show vertical error bars on the MC lines

--no-ratio
    disable the ratio plot

--rel-ratio
    show the ratio plots scaled to the ref error

--abs-ratio
    show the ratio plots with an absolute scale

--no-plottitle
    don't show the plot title on the plot (useful when the plot description should only be given in a caption)

--style=STYLE
    change plotting style: default|bw|talk

-c CONFIGFILES, --config=CONFIGFILES
    additional plot config file(s). Settings will be included in the output configuration.

--show-single=SHOW_SINGLE
    control if a plot file is made if there is only one dataset to be plotted [default=mc]. If the value is 'no', single plots are always skipped, for 'ref' and 'mc', the plot will be written only if the single plot is a reference plot or an MC plot respectively, and 'all' will always create single plot files. The 'ref' and 'all' values should be used with great care, as they will also write out plot files for all reference histograms without MC traces: combined with the -R /--rivet-refs flag, this is a great way to write out several thousand irrelevant reference data histograms!

--show-mc-only, --all
    make a plot file even if there is only one dataset to be plotted and it is an MC one. Deprecated and will be removed: use --show-single instead, which overrides this.

-m PATHPATTERNS, --match=PATHPATTERNS
    Only write out histograms whose $path/$name string matches these regexes. The argument may also be a text file.

-M PATHUNPATTERNS, --unmatch=PATHUNPATTERNS
    Exclude histograms whose $path/$name string matches these regexes

-q, --quiet
    Suppress normal messages

-v, --verbose
    Add extra debug messages

The plot options are described in the make-plots manual in the HISTOGRAM section.

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).